BrokerAllQuery
Keywords: uk.ac.ic.doc.automed.p2p.messages.applicationlayer.BrokerAllQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.messages.applicationlayer
Class BrokerAllQuery

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.messages.applicationlayer.BrokerAllQuery

All Implemented Interfaces:
  ApplicationMessage

    public class BrokerAllQuery

extends java.lang.Object
implements ApplicationMessage

Constructor Summary
`BrokerAllQuery(AbstractMessage message)`
`BrokerAllQuery(java.util.List path, java.lang.String query, java.lang.String schema)`

Method Summary
`ApplicationMessage` | `createFrom(AbstractMessage message)`
`AbstractMessage` | `getAbstractMessage()`
`java.lang.String` | `getContext()`
`BrokerAllQuery` | `getForwardMessage(java.lang.String otherSchema)`
`java.util.List` | `getPath()`
`java.lang.String` | `getPerformative()`
`java.lang.String` | `getQuery()`
`java.lang.String` | `getSchema()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokerAllQuery

    public BrokerAllQuery(java.util.List path,
                          java.lang.String query,
                          java.lang.String schema)

### BrokerAllQuery

    public BrokerAllQuery(AbstractMessage message)
                   throws MalformedMessageException

Throws:
  `MalformedMessageException`

Method Detail

### getForwardMessage

    public BrokerAllQuery getForwardMessage(java.lang.String otherSchema)

### getPath

    public java.util.List getPath()

### getQuery

    public java.lang.String getQuery()

### getSchema

    public java.lang.String getSchema()

### getPerformative

    public java.lang.String getPerformative()

  Specified by:
    `getPerformative` in interface `ApplicationMessage`

### getContext

    public java.lang.String getContext()

  Specified by:
    `getContext` in interface `ApplicationMessage`

### createFrom

    public ApplicationMessage createFrom(AbstractMessage message)

  Specified by:
    `createFrom` in interface `ApplicationMessage`

### getAbstractMessage

    public AbstractMessage getAbstractMessage()

  Specified by:
    `getAbstractMessage` in interface `ApplicationMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD